/*
 *  (c) 2005-2009 Richard Cowin (http://openrico.org)
 *  (c) 2005-2009 Matt Brown (http://dowdybrown.com)
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); you may not use this
 *  file except in compliance with the License. You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software distributed under the
 *  License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 *  either express or implied. See the License for the specific language governing permissions
 *  and limitations under the License.
 */
 
// Connects Rico to jQuery Themeroller css classes

 Rico.theme = {
  widget: 'ui-widget',
  gridheader: 'ui-widget-header',
  gridcontent:'ui-widget-content',
  gridMessage:'ui-state-highlight ui-corner-all',
  sortAsc:'ui-icon ui-icon-triangle-1-n',
  sortDesc:'ui-icon ui-icon-triangle-1-s',
  hover:'ui-state-hover',
  selected:'ui-state-active',
  button:'ui-state-default ui-corner-all',
  gridHighlightClass:'ui-state-hover',
  accordion:'ui-accordion ui-widget ui-helper-reset',
  accTitle:'ui-accordion-header ui-helper-reset ui-state-default',
  accContent:'ui-accordion-content ui-helper-reset ui-widget-content',
  tabPanel:'ui-tabs ui-widget ui-widget-content ui-helper-clearfix',
  tabNavContainer:'ui-tabs-nav ui-helper-reset ui-helper-clearfix ui-widget-header',
  tabTitle:'ui-state-default',
  tabContent:'ui-tabs-panel ui-widget-content ui-corner-bottom',
  tabCornerOptions: {corners:'top',nativeCorners:true},
  tabSelected:'ui-tabs-selected ui-state-active',
  calendar:'ui-datepicker ui-widget ui-widget-content ui-helper-clearfix',
  calendarHeading:'ui-datepicker-header ui-widget-header ui-helper-clearfix',
  calendarTable:'ui-datepicker-calendar',
  calendarDay:'ui-state-default',
  calendarFooter:'ui-widget-footer',
  calendarToday:'ui-state-highlight',
  calendarSelectedDay:'ui-state-active',
  calendarPopdown:'ui-widget-content',
  tree:'ui-widget ui-widget-content',
  treeContent:'ui-widget-content',
  leftArrow:'ui-icon ui-icon-circle-triangle-w',
  rightArrow:'ui-icon ui-icon-circle-triangle-e',
  leftArrowAnchor:'ui-datepicker-prev',
  rightArrowAnchor:'ui-datepicker-next',
  dialog:'ui-dialog ui-widget ui-widget-content ui-draggable',
  dialogTitle:'ui-dialog-titlebar ui-widget-header',
  dialogContent:'ui-widget-content',
  buttonAnchor:'ui-state-default',
  checkmark:'ui-icon ui-icon-check',
  closeAnchor:'ui-dialog-titlebar-close',
  cancel:'ui-icon ui-icon-close',
  clear:'ui-icon ui-icon-close',
  close:'ui-icon ui-icon-closethick'
}
